Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Class ConstantPath

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.Constant
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.ConstantPath

All Implemented Interfaces:
  JDBCPath, JDBCValue, Path, Value

public class ConstantPath
extends Constant
implements JDBCPath

A field traversal starting with a constant filter parameter.

Constructor Summary
`ConstantPath(com.solarmetric.rd.kodo.impl.jdbc.query.exp.Constant constant)` Constructor.

Method Summary
`void` | `appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, int index)` Append the SQL for this value to the given buffer.
`void` | `calculateValue(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue other)` Calculate and cache the SQL for this value.
`void` | `castTo(java.lang.Class cls)` Cast this value to the given class.
`void` | `get(java.lang.String field)` Traverse into the given field of the current object, and update the current object to that field value.
`void` | `getKey()`
`java.lang.Object` | `getSQLValue()` Return the SQL value of this constant.
`java.lang.Object` | `getValue()` Return the value of this constant.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.Constant
`appendIsEmpty, appendIsNotNull, appendIsNull, getDataStoreValue, getJoins, initialize, isVariable, length`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.query.Value
`isVariable`

Methods inherited from interface com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue
`appendIsEmpty, appendIsNotNull, appendIsNull, getDataStoreValue, getJoins, initialize, length`

Constructor Detail

### ConstantPath

    public ConstantPath(com.solarmetric.rd.kodo.impl.jdbc.query.exp.Constant constant)

  Constructor. Supply constant to traverse.

Method Detail

### get

    public void get(java.lang.String field)

  Description copied from interface: `Path`
  Traverse into the given field of the current object, and update the current object to that field value.

  Specified by:
    `get` in interface `Path`

### getKey

    public void getKey()

  Specified by:
    `getKey` in interface `JDBCPath`

### getValue

    public java.lang.Object getValue()

  Description copied from class: `Constant`
  Return the value of this constant.

  Specified by:
    `getValue` in class `Constant`

### getSQLValue

    public java.lang.Object getSQLValue()

  Description copied from class: `Constant`
  Return the SQL value of this constant. Delegates to `Constant.getValue()` by default.

  Overrides:
    `getSQLValue` in class `Constant`

### castTo

    public void castTo(java.lang.Class cls)

  Description copied from interface: `JDBCValue`
  Cast this value to the given class.

  Specified by:
    `castTo` in interface `JDBCValue`
  Overrides:
    `castTo` in class `Constant`

### calculateValue

    public void calculateValue(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                               java.util.Map params,
                               com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue other)

  Description copied from interface: `JDBCValue`
  Calculate and cache the SQL for this value.

  Specified by:
    `calculateValue` in interface `JDBCValue`

### appendTo

    public void appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                         int index)

  Description copied from interface: `JDBCValue`
  Append the SQL for this value to the given buffer.

  Specified by:
    `appendTo` in interface `JDBCValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.